teamviewer.com link icon
or
Ask The Community

Upgrading to TV14 on CentOS 6.5 fails

When I try to install TV14 on my CentOS 6.5 machine I get a message:
"Teamviewer-host-14.4.2669-0.x86_64 requires libc.so.6(GLIBC_2.17)64bit
Teamviewer-host conflict with teanviewer-10.0.46203-0.i686

I have libc.so.6 in /lib/ and also in /lib64/

Any ideas how to proceed?

Best Answers

Answers

  • rolandg
    rolandg Posts: 64 ✭✭

    hi,

    I assume, that your centos box is too old.
    plz provide the output of the following commands:

    uname -m
    rpm -q --provides glibc

     

    uname  will tell if your system is 32bit or 64 bit ( you want to install TV14 in 64 bit, but the TV10 seems to be 32bit)

    and the rpm output will list, which GLIBC version the OS is supporting. TV14 asks for GLIBC_2.17

  • uname -m gave me x86_64

    rpm -q --provides glibc showed an older version of GLIBC.

    I upgraded GLIBC and this is now the output from the command:

    ISO-IR-197.so
    ISO-IR-209.so
    ISO646.so
    ISO8859-1.so
    ISO8859-10.so
    ISO8859-11.so
    ISO8859-13.so
    ISO8859-14.so
    ISO8859-15.so
    ISO8859-16.so
    ISO8859-2.so
    ISO8859-3.so
    ISO8859-4.so
    ISO8859-5.so
    ISO8859-6.so
    ISO8859-7.so
    ISO8859-8.so
    ISO8859-9.so
    ISO8859-9E.so
    ISO_10367-BOX.so
    ISO_11548-1.so
    ISO_2033.so
    ISO_5427-EXT.so
    ISO_5427.so
    ISO_5428.so
    ISO_6937-2.so
    ISO_6937.so
    JOHAB.so
    KOI-8.so
    KOI8-R.so
    KOI8-RU.so
    KOI8-T.so
    KOI8-U.so
    LATIN-GREEK-1.so
    LATIN-GREEK.so
    MAC-CENTRALEUROPE.so
    MAC-IS.so
    MAC-SAMI.so
    MAC-UK.so
    MACINTOSH.so
    MIK.so
    NATS-DANO.so
    NATS-SEFI.so
    PT154.so
    RK1048.so
    SAMI-WS2.so
    SHIFT_JISX0213.so
    SJIS.so
    T.61.so
    TCVN5712-1.so
    TIS-620.so
    TSCII.so
    UHC.so
    UNICODE.so
    UTF-16.so
    UTF-32.so
    UTF-7.so
    VISCII.so
    config(glibc) = 2.12-1.149.shmz65.1.1
    ld-linux.so.2
    ld-linux.so.2(GLIBC_2.0)
    ld-linux.so.2(GLIBC_2.1)
    ld-linux.so.2(GLIBC_2.3)
    ld-linux.so.2(GLIBC_2.4)
    ldconfig
    libBrokenLocale.so.1
    libBrokenLocale.so.1(GLIBC_2.0)
    libCNS.so
    libGB.so
    libISOIR165.so
    libJIS.so
    libJISX0213.so
    libKSC.so
    libSegFault.so
    libanl.so.1
    libanl.so.1(GLIBC_2.2.3)
    libc.so.6
    libc.so.6(GCC_3.0)
    libc.so.6(GLIBC_2.0)
    libc.so.6(GLIBC_2.1)
    libc.so.6(GLIBC_2.1.1)
    libc.so.6(GLIBC_2.1.2)
    libc.so.6(GLIBC_2.1.3)
    libc.so.6(GLIBC_2.10)
    libc.so.6(GLIBC_2.11)
    libc.so.6(GLIBC_2.12)
    libc.so.6(GLIBC_2.2)
    libc.so.6(GLIBC_2.2.1)
    libc.so.6(GLIBC_2.2.2)
    libc.so.6(GLIBC_2.2.3)
    libc.so.6(GLIBC_2.2.4)
    libc.so.6(GLIBC_2.2.6)
    libc.so.6(GLIBC_2.3)
    libc.so.6(GLIBC_2.3.2)
    libc.so.6(GLIBC_2.3.3)
    libc.so.6(GLIBC_2.3.4)
    libc.so.6(GLIBC_2.4)
    libc.so.6(GLIBC_2.5)
    libc.so.6(GLIBC_2.6)
    libc.so.6(GLIBC_2.7)
    libc.so.6(GLIBC_2.8)
    libc.so.6(GLIBC_2.9)
    libcidn.so.1
    libcrypt.so.1
    libcrypt.so.1(GLIBC_2.0)
    libdl.so.2
    libdl.so.2(GLIBC_2.0)
    libdl.so.2(GLIBC_2.1)
    libdl.so.2(GLIBC_2.3.3)
    libdl.so.2(GLIBC_2.3.4)
    libm.so.6
    libm.so.6(GLIBC_2.0)
    libm.so.6(GLIBC_2.1)
    libm.so.6(GLIBC_2.2)
    libm.so.6(GLIBC_2.4)
    libmemusage.so
    libnsl.so.1
    libnsl.so.1(GLIBC_2.0)
    libnsl.so.1(GLIBC_2.1)
    libnsl.so.1(GLIBC_2.2)
    libnss_compat.so.2
    libnss_dns.so.2
    libnss_files.so.2
    libnss_hesiod.so.2
    libnss_nis.so.2
    libnss_nisplus.so.2
    libpcprofile.so
    libpthread.so.0
    libpthread.so.0(GLIBC_2.0)
    libpthread.so.0(GLIBC_2.1)
    libpthread.so.0(GLIBC_2.1.1)
    libpthread.so.0(GLIBC_2.1.2)
    libpthread.so.0(GLIBC_2.11)
    libpthread.so.0(GLIBC_2.12)
    libpthread.so.0(GLIBC_2.2)
    libpthread.so.0(GLIBC_2.2.3)
    libpthread.so.0(GLIBC_2.2.6)
    libpthread.so.0(GLIBC_2.3.2)
    libpthread.so.0(GLIBC_2.3.3)
    libpthread.so.0(GLIBC_2.3.4)
    libpthread.so.0(GLIBC_2.4)
    libresolv.so.2
    libresolv.so.2(GLIBC_2.0)
    libresolv.so.2(GLIBC_2.2)
    libresolv.so.2(GLIBC_2.3.2)
    libresolv.so.2(GLIBC_2.9)
    librt.so.1
    librt.so.1(GLIBC_2.1)
    librt.so.1(GLIBC_2.2)
    librt.so.1(GLIBC_2.3.4)
    librt.so.1(GLIBC_2.4)
    librt.so.1(GLIBC_2.7)
    libthread_db.so.1
    libthread_db.so.1(GLIBC_2.1.3)
    libthread_db.so.1(GLIBC_2.2.3)
    libthread_db.so.1(GLIBC_2.3)
    libthread_db.so.1(GLIBC_2.3.3)
    libutil.so.1
    libutil.so.1(GLIBC_2.0)
    rtld(GNU_HASH)
    glibc = 2.12-1.149.shmz65.1.1
    glibc(x86-32) = 2.12-1.149.shmz65.1.1
    ANSI_X3.110.so()(64bit)
    ARMSCII-8.so()(64bit)
    ASMO_449.so()(64bit)
    BIG5.so()(64bit)
    BIG5HKSCS.so()(64bit)
    BRF.so()(64bit)
    CP10007.so()(64bit)
    CP1125.so()(64bit)
    CP1250.so()(64bit)
    CP1251.so()(64bit)
    CP1252.so()(64bit)
    CP1253.so()(64bit)
    CP1254.so()(64bit)
    CP1255.so()(64bit)
    CP1256.so()(64bit)
    CP1257.so()(64bit)
    CP1258.so()(64bit)
    CP737.so()(64bit)
    CP770.so()(64bit)
    CP771.so()(64bit)
    CP772.so()(64bit)
    CP773.so()(64bit)
    CP774.so()(64bit)
    CP775.so()(64bit)
    CP932.so()(64bit)
    CSN_369103.so()(64bit)
    CWI.so()(64bit)
    DEC-MCS.so()(64bit)
    EBCDIC-AT-DE-A.so()(64bit)
    EBCDIC-AT-DE.so()(64bit)
    EBCDIC-CA-FR.so()(64bit)
    EBCDIC-DK-NO-A.so()(64bit)
    EBCDIC-DK-NO.so()(64bit)
    EBCDIC-ES-A.so()(64bit)
    EBCDIC-ES-S.so()(64bit)
    EBCDIC-ES.so()(64bit)
    EBCDIC-FI-SE-A.so()(64bit)
    EBCDIC-FI-SE.so()(64bit)
    EBCDIC-FR.so()(64bit)
    EBCDIC-IS-FRISS.so()(64bit)
    EBCDIC-IT.so()(64bit)
    EBCDIC-PT.so()(64bit)
    EBCDIC-UK.so()(64bit)
    EBCDIC-US.so()(64bit)
    ECMA-CYRILLIC.so()(64bit)
    EUC-CN.so()(64bit)
    EUC-JISX0213.so()(64bit)
    EUC-JP-MS.so()(64bit)
    EUC-JP.so()(64bit)
    EUC-KR.so()(64bit)
    EUC-TW.so()(64bit)
    GB18030.so()(64bit)
    GBBIG5.so()(64bit)
    GBGBK.so()(64bit)
    GBK.so()(64bit)
    GEORGIAN-ACADEMY.so()(64bit)
    GEORGIAN-PS.so()(64bit)
    GOST_19768-74.so()(64bit)
    GREEK-CCITT.so()(64bit)
    GREEK7-OLD.so()(64bit)
    GREEK7.so()(64bit)
    HP-GREEK8.so()(64bit)
    HP-ROMAN8.so()(64bit)
    HP-ROMAN9.so()(64bit)
    HP-THAI8.so()(64bit)
    HP-TURKISH8.so()(64bit)
    IBM037.so()(64bit)
    IBM038.so()(64bit)
    IBM1004.so()(64bit)
    IBM1008.so()(64bit)
    IBM1008_420.so()(64bit)
    IBM1025.so()(64bit)
    IBM1026.so()(64bit)
    IBM1046.so()(64bit)
    IBM1047.so()(64bit)
    IBM1097.so()(64bit)
    IBM1112.so()(64bit)
    IBM1122.so()(64bit)
    IBM1123.so()(64bit)
    IBM1124.so()(64bit)
    IBM1129.so()(64bit)
    IBM1130.so()(64bit)
    IBM1132.so()(64bit)
    IBM1133.so()(64bit)
    IBM1137.so()(64bit)
    IBM1140.so()(64bit)
    IBM1141.so()(64bit)
    IBM1142.so()(64bit)
    IBM1143.so()(64bit)
    IBM1144.so()(64bit)
    IBM1145.so()(64bit)
    IBM1146.so()(64bit)
    IBM1147.so()(64bit)
    IBM1148.so()(64bit)
    IBM1149.so()(64bit)
    IBM1153.so()(64bit)
    IBM1154.so()(64bit)
    IBM1155.so()(64bit)
    IBM1156.so()(64bit)
    IBM1157.so()(64bit)
    IBM1158.so()(64bit)
    IBM1160.so()(64bit)
    IBM1161.so()(64bit)
    IBM1162.so()(64bit)
    IBM1163.so()(64bit)
    IBM1164.so()(64bit)
    IBM1166.so()(64bit)
    IBM1167.so()(64bit)
    IBM12712.so()(64bit)
    IBM1364.so()(64bit)
    IBM1371.so()(64bit)
    IBM1388.so()(64bit)
    IBM1390.so()(64bit)
    IBM1399.so()(64bit)
    IBM16804.so()(64bit)
    IBM256.so()(64bit)
    IBM273.so()(64bit)
    IBM274.so()(64bit)
    IBM275.so()(64bit)
    IBM277.so()(64bit)
    IBM278.so()(64bit)
    IBM280.so()(64bit)
    IBM281.so()(64bit)
    IBM284.so()(64bit)
    IBM285.so()(64bit)
    IBM290.so()(64bit)
    IBM297.so()(64bit)
    IBM420.so()(64bit)
    IBM423.so()(64bit)
    IBM424.so()(64bit)
    IBM437.so()(64bit)
    IBM4517.so()(64bit)
    IBM4899.so()(64bit)
    IBM4909.so()(64bit)
    IBM4971.so()(64bit)
    IBM500.so()(64bit)
    IBM5347.so()(64bit)
    IBM803.so()(64bit)
    IBM850.so()(64bit)
    IBM851.so()(64bit)
    IBM852.so()(64bit)
    IBM855.so()(64bit)
    IBM856.so()(64bit)
    IBM857.so()(64bit)
    IBM860.so()(64bit)
    IBM861.so()(64bit)
    IBM862.so()(64bit)
    IBM863.so()(64bit)
    IBM864.so()(64bit)
    IBM865.so()(64bit)
    IBM866.so()(64bit)
    IBM866NAV.so()(64bit)
    IBM868.so()(64bit)
    IBM869.so()(64bit)
    IBM870.so()(64bit)
    IBM871.so()(64bit)
    IBM874.so()(64bit)
    IBM875.so()(64bit)
    IBM880.so()(64bit)
    IBM891.so()(64bit)
    IBM901.so()(64bit)
    IBM902.so()(64bit)
    IBM903.so()(64bit)
    IBM9030.so()(64bit)
    IBM904.so()(64bit)
    IBM905.so()(64bit)
    IBM9066.so()(64bit)
    IBM918.so()(64bit)
    IBM921.so()(64bit)
    IBM922.so()(64bit)
    IBM930.so()(64bit)
    IBM932.so()(64bit)
    IBM933.so()(64bit)
    IBM935.so()(64bit)
    IBM937.so()(64bit)
    IBM939.so()(64bit)
    IBM943.so()(64bit)
    IBM9448.so()(64bit)
    IEC_P27-1.so()(64bit)
    INIS-8.so()(64bit)
    INIS-CYRILLIC.so()(64bit)
    INIS.so()(64bit)
    ISIRI-3342.so()(64bit)
    ISO-2022-CN-EXT.so()(64bit)
    ISO-2022-CN.so()(64bit)
    ISO-2022-JP-3.so()(64bit)
    ISO-2022-JP.so()(64bit)
    ISO-2022-KR.so()(64bit)
    ISO-IR-197.so()(64bit)
    ISO-IR-209.so()(64bit)
    ISO646.so()(64bit)
    ISO8859-1.so()(64bit)
    ISO8859-10.so()(64bit)
    ISO8859-11.so()(64bit)
    ISO8859-13.so()(64bit)
    ISO8859-14.so()(64bit)
    ISO8859-15.so()(64bit)
    ISO8859-16.so()(64bit)
    ISO8859-2.so()(64bit)
    ISO8859-3.so()(64bit)
    ISO8859-4.so()(64bit)
    ISO8859-5.so()(64bit)
    ISO8859-6.so()(64bit)
    ISO8859-7.so()(64bit)
    ISO8859-8.so()(64bit)
    ISO8859-9.so()(64bit)
    ISO8859-9E.so()(64bit)
    ISO_10367-BOX.so()(64bit)
    ISO_11548-1.so()(64bit)
    ISO_2033.so()(64bit)
    ISO_5427-EXT.so()(64bit)
    ISO_5427.so()(64bit)
    ISO_5428.so()(64bit)
    ISO_6937-2.so()(64bit)
    ISO_6937.so()(64bit)
    JOHAB.so()(64bit)
    KOI-8.so()(64bit)
    KOI8-R.so()(64bit)
    KOI8-RU.so()(64bit)
    KOI8-T.so()(64bit)
    KOI8-U.so()(64bit)
    LATIN-GREEK-1.so()(64bit)
    LATIN-GREEK.so()(64bit)
    MAC-CENTRALEUROPE.so()(64bit)
    MAC-IS.so()(64bit)
    MAC-SAMI.so()(64bit)
    MAC-UK.so()(64bit)
    MACINTOSH.so()(64bit)
    MIK.so()(64bit)
    NATS-DANO.so()(64bit)
    NATS-SEFI.so()(64bit)
    PT154.so()(64bit)
    RK1048.so()(64bit)
    SAMI-WS2.so()(64bit)
    SHIFT_JISX0213.so()(64bit)
    SJIS.so()(64bit)
    T.61.so()(64bit)
    TCVN5712-1.so()(64bit)
    TIS-620.so()(64bit)
    TSCII.so()(64bit)
    UHC.so()(64bit)
    UNICODE.so()(64bit)
    UTF-16.so()(64bit)
    UTF-32.so()(64bit)
    UTF-7.so()(64bit)
    VISCII.so()(64bit)
    config(glibc) = 2.17-55.el6
    ld-linux-x86-64.so.2()(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.2.5)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.3)(64bit)
    ld-linux-x86-64.so.2(GLIBC_2.4)(64bit)
    ld-linux-x86-64.so.2(GLIBC_PRIVATE)(64bit)
    ldconfig
    libBrokenLocale.so.1()(64bit)
    libBrokenLocale.so.1(GLIBC_2.2.5)(64bit)
    libCNS.so()(64bit)
    libGB.so()(64bit)
    libISOIR165.so()(64bit)
    libJIS.so()(64bit)
    libJISX0213.so()(64bit)
    libKSC.so()(64bit)
    libSegFault.so()(64bit)
    libanl.so.1()(64bit)
    libanl.so.1(GLIBC_2.2.5)(64bit)
    libc.so.6()(64bit)
    libc.so.6(GLIBC_2.10)(64bit)
    libc.so.6(GLIBC_2.11)(64bit)
    libc.so.6(GLIBC_2.12)(64bit)
    libc.so.6(GLIBC_2.13)(64bit)
    libc.so.6(GLIBC_2.14)(64bit)
    libc.so.6(GLIBC_2.15)(64bit)
    libc.so.6(GLIBC_2.16)(64bit)
    libc.so.6(GLIBC_2.17)(64bit)
    libc.so.6(GLIBC_2.2.5)(64bit)
    libc.so.6(GLIBC_2.2.6)(64bit)
    libc.so.6(GLIBC_2.3)(64bit)
    libc.so.6(GLIBC_2.3.2)(64bit)
    libc.so.6(GLIBC_2.3.3)(64bit)
    libc.so.6(GLIBC_2.3.4)(64bit)
    libc.so.6(GLIBC_2.4)(64bit)
    libc.so.6(GLIBC_2.5)(64bit)
    libc.so.6(GLIBC_2.6)(64bit)
    libc.so.6(GLIBC_2.7)(64bit)
    libc.so.6(GLIBC_2.8)(64bit)
    libc.so.6(GLIBC_2.9)(64bit)
    libc.so.6(GLIBC_PRIVATE)(64bit)
    libcidn.so.1()(64bit)
    libcidn.so.1(GLIBC_PRIVATE)(64bit)
    libcrypt.so.1()(64bit)
    libcrypt.so.1(GLIBC_2.2.5)(64bit)
    libdl.so.2()(64bit)
    libdl.so.2(GLIBC_2.2.5)(64bit)
    libdl.so.2(GLIBC_2.3.3)(64bit)
    libdl.so.2(GLIBC_2.3.4)(64bit)
    libdl.so.2(GLIBC_PRIVATE)(64bit)
    libm.so.6()(64bit)
    libm.so.6(GLIBC_2.15)(64bit)
    libm.so.6(GLIBC_2.2.5)(64bit)
    libm.so.6(GLIBC_2.4)(64bit)
    libmemusage.so()(64bit)
    libnsl.so.1()(64bit)
    libnsl.so.1(GLIBC_2.2.5)(64bit)
    libnsl.so.1(GLIBC_PRIVATE)(64bit)
    libnss_compat.so.2()(64bit)
    libnss_compat.so.2(GLIBC_PRIVATE)(64bit)
    libnss_db.so.2()(64bit)
    libnss_db.so.2(GLIBC_PRIVATE)(64bit)
    libnss_dns.so.2()(64bit)
    libnss_dns.so.2(GLIBC_PRIVATE)(64bit)
    libnss_files.so.2()(64bit)
    libnss_files.so.2(GLIBC_PRIVATE)(64bit)
    libnss_hesiod.so.2()(64bit)
    libnss_hesiod.so.2(GLIBC_PRIVATE)(64bit)
    libnss_nis.so.2()(64bit)
    libnss_nis.so.2(GLIBC_PRIVATE)(64bit)
    libnss_nisplus.so.2()(64bit)
    libnss_nisplus.so.2(GLIBC_PRIVATE)(64bit)
    libpcprofile.so()(64bit)
    libpthread.so.0()(64bit)
    libpthread.so.0(GLIBC_2.11)(64bit)
    libpthread.so.0(GLIBC_2.12)(64bit)
    libpthread.so.0(GLIBC_2.2.5)(64bit)
    libpthread.so.0(GLIBC_2.2.6)(64bit)
    libpthread.so.0(GLIBC_2.3.2)(64bit)
    libpthread.so.0(GLIBC_2.3.3)(64bit)
    libpthread.so.0(GLIBC_2.3.4)(64bit)
    libpthread.so.0(GLIBC_2.4)(64bit)
    libpthread.so.0(GLIBC_PRIVATE)(64bit)
    libresolv.so.2()(64bit)
    libresolv.so.2(GLIBC_2.2.5)(64bit)
    libresolv.so.2(GLIBC_2.3.2)(64bit)
    libresolv.so.2(GLIBC_2.9)(64bit)
    libresolv.so.2(GLIBC_PRIVATE)(64bit)
    librt.so.1()(64bit)
    librt.so.1(GLIBC_2.2.5)(64bit)
    librt.so.1(GLIBC_2.3.3)(64bit)
    librt.so.1(GLIBC_2.3.4)(64bit)
    librt.so.1(GLIBC_2.4)(64bit)
    librt.so.1(GLIBC_2.7)(64bit)
    libthread_db.so.1()(64bit)
    libthread_db.so.1(GLIBC_2.2.5)(64bit)
    libthread_db.so.1(GLIBC_2.3)(64bit)
    libthread_db.so.1(GLIBC_2.3.3)(64bit)
    libutil.so.1()(64bit)
    libutil.so.1(GLIBC_2.2.5)(64bit)
    rtld(GNU_HASH)
    sotruss-lib.so()(64bit)
    glibc = 2.17-55.el6
    glibc(x86-64) = 2.17-55.el6

    I then uninstalled Teamviewer 10.

    Then tried installing Teamviewer 14 with yum. This was the result:

    [[email protected] Downloads]# yum install teamviewer-host_14.4.2669.x86_64.rpm
    Loaded plugins: fastestmirror, kmod, refresh-packagekit
    Loading mirror speeds from cached hostfile
    * epel: mirror.sax.uk.as61049.net
    Setting up Install Process
    Examining teamviewer-host_14.4.2669.x86_64.rpm:
    teamviewer-host-14.4.2669-0.x86_64
    Marking teamviewer-host_14.4.2669.x86_64.rpm to be installed
    Resolving Dependencies
    --> Running transaction check
    ---> Package teamviewer-host.x86_64 0:14.4.2669-0 will be installed
    --> Processing Dependency: qt5-qtdeclarative >= 5.5 for package:
    teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: qt5-qtquickcontrols >= 5.5 for package:
    teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5DBus.so.5()(64bit) >= 5.5 for
    package: teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5Gui.so.5()(64bit) >= 5.5 for package:
    teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5Qml.so.5()(64bit) >= 5.5 for package:
    teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5Quick.so.5()(64bit) >= 5.5 for
    package: teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5WebKit.so.5()(64bit) >= 5.5 for
    package: teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5WebKitWidgets.so.5()(64bit) >= 5.5
    for package: teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5Widgets.so.5()(64bit) >= 5.5 for
    package: teamviewer-host-14.4.2669-0.x86_64
    --> Processing Dependency: libQt5X11Extras.so.5()(64bit) >= 5.5 for
    package: teamviewer-host-14.4.2669-0.x86_64
    --> Running transaction check
    ---> Package qt5-qtbase.x86_64 0:5.6.1-3.el6 will be installed
    --> Processing Dependency: qt5-qtbase-common = 5.6.1-3.el6 for
    package: qt5-qtbase-5.6.1-3.el6.x86_64
    ---> Package qt5-qtbase-gui.x86_64 0:5.6.1-3.el6 will be installed
    ---> Package qt5-qtdeclarative.x86_64 0:5.6.1-5.el6 will be installed
    --> Processing Dependency: libQt5XmlPatterns.so.5(Qt_5)(64bit) for
    package: qt5-qtdeclarative-5.6.1-5.el6.x86_64
    --> Processing Dependency: libQt5XmlPatterns.so.5()(64bit) for
    package: qt5-qtdeclarative-5.6.1-5.el6.x86_64
    ---> Package qt5-qtquickcontrols.x86_64 0:5.6.1-1.el6 will be installed
    ---> Package qt5-qtwebkit.x86_64 0:5.6.1-3.b889f46git.el6 will be installed
    --> Processing Dependency: libQt5Positioning.so.5(Qt_5)(64bit) for
    package: qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64
    --> Processing Dependency: libQt5Sensors.so.5(Qt_5)(64bit) for
    package: qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64
    --> Processing Dependency: libQt5WebChannel.so.5(Qt_5)(64bit) for
    package: qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64
    --> Processing Dependency: libQt5Positioning.so.5()(64bit) for
    package: qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64
    --> Processing Dependency: libQt5Sensors.so.5()(64bit) for package:
    qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64
    --> Processing Dependency: libQt5WebChannel.so.5()(64bit) for package:
    qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64
    ---> Package qt5-qtx11extras.x86_64 0:5.6.1-2.el6 will be installed
    --> Running transaction check
    ---> Package qt5-qtbase-common.noarch 0:5.6.1-3.el6 will be installed
    ---> Package qt5-qtlocation.x86_64 0:5.6.1-2.el6 will be installed
    ---> Package qt5-qtsensors.x86_64 0:5.6.1-2.el6 will be installed
    ---> Package qt5-qtwebchannel.x86_64 0:5.6.1-2.el6 will be installed
    ---> Package qt5-qtxmlpatterns.x86_64 0:5.6.1-1.el6 will be installed
    --> Finished Dependency Resolution

    Dependencies Resolved

    ================================================================================
    Package Arch Version Repository Size
    ================================================================================
    Installing:
    teamviewer-host x86_64 14.4.2669-0 /teamviewer-host_14.4.2669.x86_64 62 M
    Installing for dependencies:
    qt5-qtbase x86_64 5.6.1-3.el6 epel 3.4 M
    qt5-qtbase-common noarch 5.6.1-3.el6 epel 26 k
    qt5-qtbase-gui x86_64 5.6.1-3.el6 epel 5.3 M
    qt5-qtdeclarative x86_64 5.6.1-5.el6 epel 4.0 M
    qt5-qtlocation x86_64 5.6.1-2.el6 epel 660 k
    qt5-qtquickcontrols x86_64 5.6.1-1.el6 epel 950 k
    qt5-qtsensors x86_64 5.6.1-2.el6 epel 168 k
    qt5-qtwebchannel x86_64 5.6.1-2.el6 epel 77 k
    qt5-qtwebkit x86_64 5.6.1-3.b889f46git.el6
    epel 9.3 M
    qt5-qtx11extras x86_64 5.6.1-2.el6 epel 24 k
    qt5-qtxmlpatterns x86_64 5.6.1-1.el6 epel 1.1 M

    Transaction Summary
    ================================================================================
    Install 12 Package(s)

    Total size: 87 M
    Total download size: 25 M
    Installed size: 146 M
    Is this ok [y/N]: y
    Downloading Packages:
    (1/11): qt5-qtbase-5.6.1-3.el6.x86_64.rpm | 3.4 MB 00:00
    (2/11): qt5-qtbase-common-5.6.1-3.el6.noarch.rpm | 26 kB 00:00
    (3/11): qt5-qtbase-gui-5.6.1-3.el6.x86_64.rpm | 5.3 MB 00:01
    (4/11): qt5-qtdeclarative-5.6.1-5.el6.x86_64.rpm | 4.0 MB 00:00
    (5/11): qt5-qtlocation-5.6.1-2.el6.x86_64.rpm | 660 kB 00:00
    (6/11): qt5-qtquickcontrols-5.6.1-1.el6.x86_64.rpm | 950 kB 00:00
    (7/11): qt5-qtsensors-5.6.1-2.el6.x86_64.rpm | 168 kB 00:00
    (8/11): qt5-qtwebchannel-5.6.1-2.el6.x86_64.rpm | 77 kB 00:00
    (9/11): qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64.rpm | 9.3 MB 00:02
    (10/11): qt5-qtx11extras-5.6.1-2.el6.x86_64.rpm | 24 kB 00:00
    (11/11): qt5-qtxmlpatterns-5.6.1-1.el6.x86_64.rpm | 1.1 MB 00:00
    --------------------------------------------------------------------------------
    Total 4.0 MB/s | 25 MB 00:06
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
    Warning: RPMDB altered outside of yum.
    ** Found 2 pre-existing rpmdb problem(s), 'yum check' output follows:
    glibc-2.12-1.149.shmz65.1.1.i686 has missing requires of glibc-common
    = ('0', '2.12', '1.149.shmz65.1.1')
    glibc-2.17-55.el6.x86_64 is a duplicate with glibc-2.12-1.149.shmz65.1.1.i686
    Installing : qt5-qtbase-common-5.6.1-3.el6.noarch 1/12
    Installing : qt5-qtbase-5.6.1-3.el6.x86_64 2/12
    Installing : qt5-qtbase-gui-5.6.1-3.el6.x86_64 3/12
    Installing : qt5-qtx11extras-5.6.1-2.el6.x86_64 4/12
    Installing : qt5-qtxmlpatterns-5.6.1-1.el6.x86_64 5/12
    Installing : qt5-qtdeclarative-5.6.1-5.el6.x86_64 6/12
    Installing : qt5-qtwebchannel-5.6.1-2.el6.x86_64 7/12
    Installing : qt5-qtlocation-5.6.1-2.el6.x86_64 8/12
    Installing : qt5-qtquickcontrols-5.6.1-1.el6.x86_64 9/12
    Installing : qt5-qtsensors-5.6.1-2.el6.x86_64 10/12
    Installing : qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64 11/12
    Installing : teamviewer-host-14.4.2669-0.x86_64 12/12
    Error unpacking rpm package teamviewer-host-14.4.2669-0.x86_64
    error: unpacking of archive failed on file /opt/teamviewer/config: cpio: rename
    Verifying : qt5-qtdeclarative-5.6.1-5.el6.x86_64 1/12
    Verifying : qt5-qtx11extras-5.6.1-2.el6.x86_64 2/12
    Verifying : qt5-qtbase-gui-5.6.1-3.el6.x86_64 3/12
    Verifying : qt5-qtxmlpatterns-5.6.1-1.el6.x86_64 4/12
    Verifying : qt5-qtbase-5.6.1-3.el6.x86_64 5/12
    Verifying : qt5-qtwebchannel-5.6.1-2.el6.x86_64 6/12
    Verifying : qt5-qtwebkit-5.6.1-3.b889f46git.el6.x86_64 7/12
    Verifying : qt5-qtlocation-5.6.1-2.el6.x86_64 8/12
    Verifying : qt5-qtbase-common-5.6.1-3.el6.noarch 9/12
    Verifying : qt5-qtquickcontrols-5.6.1-1.el6.x86_64 10/12
    Verifying : qt5-qtsensors-5.6.1-2.el6.x86_64 11/12
    Verifying : teamviewer-host-14.4.2669-0.x86_64 12/12

    Dependency Installed:
    qt5-qtbase.x86_64 0:5.6.1-3.el6
    qt5-qtbase-common.noarch 0:5.6.1-3.el6
    qt5-qtbase-gui.x86_64 0:5.6.1-3.el6
    qt5-qtdeclarative.x86_64 0:5.6.1-5.el6
    qt5-qtlocation.x86_64 0:5.6.1-2.el6
    qt5-qtquickcontrols.x86_64 0:5.6.1-1.el6
    qt5-qtsensors.x86_64 0:5.6.1-2.el6
    qt5-qtwebchannel.x86_64 0:5.6.1-2.el6
    qt5-qtwebkit.x86_64 0:5.6.1-3.b889f46git.el6
    qt5-qtx11extras.x86_64 0:5.6.1-2.el6
    qt5-qtxmlpatterns.x86_64 0:5.6.1-1.el6

    Failed:
    teamviewer-host.x86_64 0:14.4.2669-0

    Complete!

    I could not find teamviewer in /lib so I think it did not install correctly.

  • nixnax
    nixnax Posts: 5

    I have the same issue which I covered in my post here.

    From my understand you can't update to TV14 in CentOS 6 since the requirement is CentOS 7 and above. Unfortunately they've cut off accessing servers running old versions of TV so I can't access a CentOS 6 server with TV anymore.

Sign In or Register to comment.